---
- name: gather VPC info
  amazon.aws.ec2_vpc_net_info:
    aws_access_key: "{{ aws_iam_deploy_key }}"
    aws_secret_key: "{{ aws_iam_deploy_secret }}"
    aws_region: "{{ aws_region }}"
    filters:
      "tag:Name": "{{ aws_vpc_name }}"
  register: vpcs
- name: set vpc-id
  set_fact:
    vpc_id: "{{ vpcs.vpcs[0].vpc_id}}"